-- name: CreateTodo :one
insert into todo (id,task) values ($1,$2) returning *;

-- name: ListTodos :many
select * from todo;

-- name: GetTodo :one
select * from todo where id = $1 limit 1;

-- name: UpdateTodo :one
update todo set task = $1, done = $2 where id = $3 returning *;

-- name: DeleteTodo :exec
delete from todo where id = $1;
